import times
import ./db, ./models

type
  WdiwtltLibrary* = ref object
    rootPath: string
    #autoDeletePeriodMs*: int # 1000 * 60 * 60 * 24 * 6 # one week
    db: WdiwtltDb

proc initLibrary*(rootPath: string, dbPath: string): WdiwtltLibrary =
  WdiwtltLibrary(rootPath: rootPath, db: loadDb(dbPath))

proc clean*(l: WdiwtltLibrary) =
  let staleDt = now() - 1.weeks

  l.db.removeEmptyAlbums
  l.db.removeEmptyArtists
  l.db.removeEmptyPlaylists
  l.db.pruneStalePlaylists(staleDt)
  l.db.pruneStaleBookmarks(staleDt)
  l.db.persist
